$(document).ready(function(){
	var timeSlide = 300;
	/*$('#timer').hide(0);
	$('#timer').css('display','none');*/
	$('#BtnEnviar').click(function(){
		/*$('#timer').fadeIn(300);
		$('.box-info, .box-success, .box-alert, .box-error').slideUp(timeSlide);*/
		setTimeout(function(){	
			if($("#correo").val().indexOf('@', 0) == -1 || $("#correo").val().indexOf('.', 0) == -1) {				
				$('#alerta').html('<div class="alert alert-danger alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><b>Alerta!</b> El correo electrónico introducido no es correcto.</div>');
				/*$('.alert alert-danger alert-dismissabl').hide(0).html('');
				$('.alert alert-danger alert-dismissabl').slideDown(300);*/
				return false;
			}				
			if ( $('#cc').val() != "" && $('#nombre').val() != "" && $('#telefono').val() != "" && $('#correo').val() != "" && $('#fechaEstimada').val() != ""){
				var documento     = $('#cc').val();
				var nombre 		  = $('#nombre').val();
				var telefono 	  = $('#telefono').val();
				var correo 		  = $('#correo').val();
				var sexo 		  = $('input:radio[name=iCheck]:checked').val();
				var especialidad  = $('#especialidad').val();
				var hospital      = $('#hospital').val();
				var fechaEstimada = $('#fechaEstimada').val() + ":00";
				var hoy = new Date();
            	var fecha = hoy.getFullYear() + "-" + (hoy.getMonth() + 1) + "-" + hoy.getDate();
            	var hora = hoy.getHours() + ":" + hoy.getMinutes() + ":" + hoy.getSeconds();
            	var fechaHora = fecha + " " + hora;
            	alert(fechaHora);
            	alert(fechaEstimada);
				$.ajax({
					type: 'POST',
					url: 'redirect.php',
					data: 'cc=' + documento + '&nombre=' + nombre + '&correo=' + correo + '&telefono=' + telefono + '&sexo=' + sexo + '&especialidad=' + especialidad + '&hospital=' + hospital + '&fecha=' + fechaHora + '&fechaEstimada=' + fechaEstimada,
					success:function(msj){
						if ( msj == 1 ){
							$('#alerta').html('<div class="alert alert-success alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><b>Alerta!</b> Esper un momento, estamos cargando tu entorno.</div>');
							/*$('.alert alert-danger alert-dismissabl').hide(0).html('');
							$('.alert alert-danger alert-dismissabl').slideDown(timeSlide);*/
							setTimeout(function(){
								window.location.href = "resultados.html";
							},(timeSlide + 500));
						}
						else{
							$('#alerta').html('<div class="alert alert-danger alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><b>Alerta!</b> Vaya, Vaya, Vaya !!!!.... ' + msj + '.</div>');
							/*$('.alert alert-danger alert-dismissabl').hide(0).html('');
							$('.alert alert-danger alert-dismissabl').slideDown(300);*/
						}
						$('#timer').fadeOut(300);
					},
					error:function(msj){
						$('#alerta').html('<div class="alert alert-danger alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><b>Alerta!</b> Ha ocurrido un error durante la ejecución ' + msj + '.</div>');
						/*$('.alert alert-danger alert-dismissabl').hide(0).html('');
						$('.alert alert-danger alert-dismissabl').slideDown(300);*/
					}
				},timeSlide);

			}
			else{
						$('#alerta').html('<div class="alert alert-info alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><b>Alerta!</b> Por favor, llene todos los campos.</div>');
						/*$('.alert alert-danger alert-dismissabl').hide(0).html('');
						$('.alert alert-danger alert-dismissabl').slideDown(300);*/
			}
		});

		return false;

	});

	$('#regresar').click(function(){
		$('#timer').fadeIn(300);
		$('#alertBoxes').html('<div class="box-success"></div>');
		$('.box-success').hide(0).html('Espera un momento…');
		$('.box-success').slideDown(timeSlide);
		setTimeout(function(){
			window.location.href = "index.php";
		},200);
	});
});